
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENMANIP_PRINTXML_H
#define GENMANIP_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrintXML.h"


#include "genManipPosterLib.h"

/* Prototypes */
extern void printXML_struct_GENMANIP_STR ( FILE *out, char *name,
     struct GENMANIP_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_ATTENTIONAL_INPUT ( FILE *out, char *name,
     struct GENMANIP_ATTENTIONAL_INPUT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_ATTENTIONAL_POS ( FILE *out, char *name,
     struct GENMANIP_ATTENTIONAL_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_POSE_STR ( FILE *out, char *name,
     struct GENMANIP_POSE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_MOUSE3D_STR ( FILE *out, char *name,
     struct GENMANIP_MOUSE3D_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_FORCE_EVENT_STR ( FILE *out, char *name,
     struct GENMANIP_FORCE_EVENT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_GENMANIP_FORCE_EVENT_ENUM ( FILE *out, char *name,
     enum GENMANIP_FORCE_EVENT_ENUM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_SET_POSE_STR ( FILE *out, char *name,
     struct GENMANIP_SET_POSE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_SET_ORIENTATION_STR ( FILE *out, char *name,
     struct GENMANIP_SET_ORIENTATION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_SET_POSITION_STR ( FILE *out, char *name,
     struct GENMANIP_SET_POSITION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_DOF ( FILE *out, char *name,
     struct GENMANIP_DOF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_MOTION_STR ( FILE *out, char *name,
     struct GENMANIP_MOTION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_CONFIG ( FILE *out, char *name,
     struct GENMANIP_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_POSITION_STR ( FILE *out, char *name,
     struct GENMANIP_POSITION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_TRAJ7_TRACK_STR ( FILE *out, char *name,
     struct GENMANIP_TRAJ7_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_SEGMENT7_STR ( FILE *out, char *name,
     struct GENMANIP_SEGMENT7_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_SAHAND_STR ( FILE *out, char *name,
     struct GENMANIP_SAHAND_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_POSITION_ARM_SAHAND_TRACK_STR ( FILE *out, char *name,
     struct GENMANIP_POSITION_ARM_SAHAND_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_POSITION_SAHAND_STR ( FILE *out, char *name,
     struct GENMANIP_POSITION_SAHAND_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_POSITION_SAHAND_FINGER_STR ( FILE *out, char *name,
     struct GENMANIP_POSITION_SAHAND_FINGER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_POSITION7_TRACK_STR ( FILE *out, char *name,
     struct GENMANIP_POSITION7_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_POSITION_TRACK_STR ( FILE *out, char *name,
     struct GENMANIP_POSITION_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_COLLISION_STATE_STR ( FILE *out, char *name,
     struct GENMANIP_COLLISION_STATE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_GENMANIP_COLLISION_STATE_ENUM ( FILE *out, char *name,
     enum GENMANIP_COLLISION_STATE_ENUM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_GENMANIP_ON_OFF_ENUM ( FILE *out, char *name,
     enum GENMANIP_ON_OFF_ENUM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_STRING2048 ( FILE *out, char *name,
     struct GENMANIP_STRING2048 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GENMANIP_STRING1024 ( FILE *out, char *name,
     struct GENMANIP_STRING1024 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_jac7 ( FILE *out, char *name,
     struct Gb_jac7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_jac ( FILE *out, char *name,
     struct Gb_jac *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_Gb_statusMGI ( FILE *out, char *name,
     enum Gb_statusMGI *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_dataMGD ( FILE *out, char *name,
     struct Gb_dataMGD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_q7 ( FILE *out, char *name,
     struct Gb_q7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_q6 ( FILE *out, char *name,
     struct Gb_q6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_6rParameters ( FILE *out, char *name,
     struct Gb_6rParameters *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_quat ( FILE *out, char *name,
     struct Gb_quat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_m33 ( FILE *out, char *name,
     struct Gb_m33 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_dep ( FILE *out, char *name,
     struct Gb_dep *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_th ( FILE *out, char *name,
     struct Gb_th *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_v6 ( FILE *out, char *name,
     struct Gb_v6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_v3 ( FILE *out, char *name,
     struct Gb_v3 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_force ( FILE *out, char *name,
     struct Gb_force *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_vitesse ( FILE *out, char *name,
     struct Gb_vitesse *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_objectMotion ( FILE *out, char *name,
     struct Gb_objectMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_objectPose ( FILE *out, char *name,
     struct Gb_objectPose *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_euler ( FILE *out, char *name,
     struct Gb_euler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_point3D ( FILE *out, char *name,
     struct Gb_point3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_point2D ( FILE *out, char *name,
     struct Gb_point2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_motionMat ( FILE *out, char *name,
     struct Gb_motionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_thMat ( FILE *out, char *name,
     struct Gb_thMat *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_Gb_thMat ( FILE *out, char *name,
     Gb_thMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_motionMat ( FILE *out, char *name,
     Gb_motionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_point2D ( FILE *out, char *name,
     Gb_point2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_point3D ( FILE *out, char *name,
     Gb_point3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_euler ( FILE *out, char *name,
     Gb_euler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_objectPose ( FILE *out, char *name,
     Gb_objectPose *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_objectMotion ( FILE *out, char *name,
     Gb_objectMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_vitesse ( FILE *out, char *name,
     Gb_vitesse *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_force ( FILE *out, char *name,
     Gb_force *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_v3 ( FILE *out, char *name,
     Gb_v3 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_v6 ( FILE *out, char *name,
     Gb_v6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_th ( FILE *out, char *name,
     Gb_th *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_dep ( FILE *out, char *name,
     Gb_dep *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_m33 ( FILE *out, char *name,
     Gb_m33 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_quat ( FILE *out, char *name,
     Gb_quat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_6rParameters ( FILE *out, char *name,
     Gb_6rParameters *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_q6 ( FILE *out, char *name,
     Gb_q6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_q7 ( FILE *out, char *name,
     Gb_q7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_dataMGD ( FILE *out, char *name,
     Gb_dataMGD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_statusMGI ( FILE *out, char *name,
     Gb_statusMGI *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_jac ( FILE *out, char *name,
     Gb_jac *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_jac7 ( FILE *out, char *name,
     Gb_jac7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_STRING1024 ( FILE *out, char *name,
     GENMANIP_STRING1024 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_STRING2048 ( FILE *out, char *name,
     GENMANIP_STRING2048 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_ON_OFF_ENUM ( FILE *out, char *name,
     GENMANIP_ON_OFF_ENUM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_COLLISION_STATE_ENUM ( FILE *out, char *name,
     GENMANIP_COLLISION_STATE_ENUM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_COLLISION_STATE_STR ( FILE *out, char *name,
     GENMANIP_COLLISION_STATE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_POSITION_TRACK_STR ( FILE *out, char *name,
     GENMANIP_POSITION_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_POSITION7_TRACK_STR ( FILE *out, char *name,
     GENMANIP_POSITION7_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_POSITION_SAHAND_FINGER_STR ( FILE *out, char *name,
     GENMANIP_POSITION_SAHAND_FINGER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_POSITION_SAHAND_STR ( FILE *out, char *name,
     GENMANIP_POSITION_SAHAND_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_POSITION_ARM_SAHAND_TRACK_STR ( FILE *out, char *name,
     GENMANIP_POSITION_ARM_SAHAND_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_SAHAND_STR ( FILE *out, char *name,
     GENMANIP_SAHAND_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_SEGMENT7_STR ( FILE *out, char *name,
     GENMANIP_SEGMENT7_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_TRAJ7_TRACK_STR ( FILE *out, char *name,
     GENMANIP_TRAJ7_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_POSITION_STR ( FILE *out, char *name,
     GENMANIP_POSITION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_CONFIG ( FILE *out, char *name,
     GENMANIP_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_MOTION_STR ( FILE *out, char *name,
     GENMANIP_MOTION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_DOF ( FILE *out, char *name,
     GENMANIP_DOF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_SET_POSITION_STR ( FILE *out, char *name,
     GENMANIP_SET_POSITION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_SET_ORIENTATION_STR ( FILE *out, char *name,
     GENMANIP_SET_ORIENTATION_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_SET_POSE_STR ( FILE *out, char *name,
     GENMANIP_SET_POSE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_FORCE_EVENT_ENUM ( FILE *out, char *name,
     GENMANIP_FORCE_EVENT_ENUM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_FORCE_EVENT_STR ( FILE *out, char *name,
     GENMANIP_FORCE_EVENT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_MOUSE3D_STR ( FILE *out, char *name,
     GENMANIP_MOUSE3D_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_POSE_STR ( FILE *out, char *name,
     GENMANIP_POSE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_ATTENTIONAL_POS ( FILE *out, char *name,
     GENMANIP_ATTENTIONAL_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_ATTENTIONAL_INPUT ( FILE *out, char *name,
     GENMANIP_ATTENTIONAL_INPUT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GENMANIP_STR ( FILE *out, char *name,
     GENMANIP_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* GENMANIP_PRINT_XML_H */

